#plot-wrapper {
    position: relative;
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
}

#plot {
    position: relative;
    height: 100%;
    width: 100%;
    background: white;
}

#plot-title {
    position: absolute;
    top: 0.5em;
    width: 100%;
    text-align: center;
}

#plot canvas {
    /* pointer-events: none; */
    /* image-rendering: optimizeSpeed; */
    /* image-rendering: -moz-crisp-edges; */
    /* image-rendering: -webkit-optimize-contrast; */
    /* image-rendering: optimize-contrast; */
    /* image-rendering: pixelated; */
    /* -ms-interpolation-mode: nearest-neighbor; */
}

#plot .legend {
    display: none;
}

#plot .tick text {
    font-size: small;
}

button.download-png {
    position: absolute;
    right: 2px;
    bottom: 2px;
}

.date-picker {
    display: inline-block;
    padding: 5px;
}

.date-picker .custom-select {
    display: inline-block;
}

.attribute .popup {
    position: absolute;
    display: none;
    background: white;
    padding: 5px;
    border: 1px solid black;
    pointer-events: none;
}

.attribute:hover .popup {
    display: block;
}

.axis-attribute .aggregated {
    position: absolute;
    right: 0;
    top: 0;
    font-size: x-small;
    font-weight: bold;
    background: black;
    color: white;
    padding: 2px;
    margin: 2px;
}

/* Make sure it's possible to read the attribute name when hovering */
.axis-attribute:hover .aggregated {
    opacity: 0.2;
}

#y-axes {
    font-size: small;
}

.grid .domain {
    /* Hide the axis line */
    display: none;
}

.grid line {
    stroke: #0002;
    pointer-events: none;
}

.axis-side-info {
    padding: 2px;
    border-bottom: 2px solid #999;
    text-align: center;
}


.axis-side-info.right {
    text-align: center;
}

li.axis {
    width: 100%;
}

ul.axes {
    padding-left: 0px;
    margin: 0;
    list-style: none;
}

ul.axis-attributes {
    padding-left: 0px;
    margin: 0;
    list-style: none;
}

.axis-info {
    background: #ccc;
    position: relative;
    width: 100%;
    font-size: small;
}

.axis-info button {
    cursor: pointer;
}

.axis-info label {
    /* position: absolute; */
    /* right: 3px; */
    float: right;
}

.axis-attribute {
    position: relative;
    padding: 2px;
    background: white;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow-x: hidden;
}

.axis-attribute.selected {
    background: #ddd;
}


.axis-attribute-name {
    font-size: small;
}

.axis-attribute img {
    position: absolute;
    right: 5px;
    top: 5px;
}

#attributes {
    flex-grow: 1;
    width: 100%;
    /* overflow-x: hidden; */
}

#attributes ul {
    list-style-type: none;  /* Remove bullets */
    padding: 0;  /* Remove padding */
    margin: 0;  /* Remove margins */
}

#date-range {
    margin: 5px;
    float: right;
}

.add-buttons button {
    display: inline-block;
}

.hover-info {
    padding: 0.1em 0.3em;
    background: rgba(240,240,240,0.8);
}
